/**
 * @file
 * Presentational styles for Drupal dialogs.
 */

.ui-dialog {
  position: absolute;
  z-index: 1260;
  overflow: visible;
  padding: 0;
  color: #000;
  border: solid 1px white;
  background: #fff;
  border-radius: 0;
}
@media all and (max-width: 48em) { /* 768px */
  .ui-dialog {
    width: 92% !important;
  }
}
.ui-dialog .ui-dialog-titlebar {
  border-width: 0 0 1px 0;
  border-style: solid;
  border-color: white;
  border-radius: 0;
  background: white;
  font-weight: bold;
  padding: 10px;
}
.ui-dialog .ui-dialog-titlebar-close {
  border: 0;
  background: none;
}
.ui-dialog .ui-dialog-buttonpane {
  margin-top: 0;
  padding: 0.3em 1em;
  border-width: 1px 0 0 0;
  border-color: white;
  background: white;
}
.ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset {
  margin: 0;
  padding: 0;
}
.ui-dialog .ui-dialog-buttonpane .ui-button-text-only .ui-button-text {
  padding: 0;
}
.ui-dialog .ui-dialog-content {
  padding: 20px 0 60px 0;
  text-align: center;
  color: #1a472b;
  font-family: "Poppins", sans-serif;
  font-size: 14px;
}

/* Form action buttons are moved in dialogs. Remove empty space. */
.ui-dialog .ui-dialog-content .form-actions {
  margin: 0;
  padding: 0;
}
.ui-dialog .ajax-progress-throbber {
  position: fixed;
  z-index: 1000;
  top: 48.5%;
  /* Can't do center:50% middle: 50%, so approximate it for a typical window size. */
  left: 49%;
  width: 24px;
  height: 24px;
  padding: 4px;
  opacity: 0.9;
  border-radius: 7px;
  background-color: #232323;
  background-image: url(../../../../misc/loading-small.gif);
  background-repeat: no-repeat;
  background-position: center center;
}
.ui-dialog .ajax-progress-throbber .throbber,
.ui-dialog .ajax-progress-throbber .message {
  display: none;
}
.ui-dialog-titlebar button.ui-dialog-titlebar-close {
  padding: 2px;
  background-image: url("../images/icon-close.png");
  background-position: center center;
  background-repeat: no-repeat;
  float: right;
  width: 8px;
  height: 8px;
  margin-right: 16px;
  margin-top: 0px;
}
